#ifndef YACE_OS_EXPORT_H
#define YACE_OS_EXPORT_H

#include "config-all.h"

#if defined (YACE_HAS_DLL)
#      define YACE_OS_Export YACE_Proper_Export_Flag
#      define YACE_OS_SINGLETON_DECLARATION(T) YACE_EXPORT_SINGLETON_DECLARATION (T)
#      define YACE_OS_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) YACE_EXPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#    else
#      define YACE_OS_Export YACE_Proper_Import_Flag
#      define YACE_OS_SINGLETON_DECLARATION(T) YACE_IMPORT_SINGLETON_DECLARATION (T)
#      define YACE_OS_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) YACE_IMPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#endif	// YACE_HAS_DLL

#endif	// YACE_OS_EXPORT_H